/***********************************************************
*
*	main.c
*
*	This is sample program for self-programming.
*
*	history : 2015/05/27	start
*
*	COPYRIGHT (C) 2015, SEIKO EPSON CORP. All Rights Reserved
************************************************************/
/* include */
#include <string.h>
#include "fl_self.h"

/* prototype */
int update(void);


/* extern */
extern const unsigned char checkerLineBit[];
extern unsigned char updateLineBit[];

/************************************************************
*	main
*		param    :     none
*   	return   :     1
*   	history  :     2007/10/25	start
************************************************************/
int main(void)
{
	unsigned long i;
	int result;

	// wait
	for(i=0;i<5000;i++) {
	}


	// update data
	result = update();

	if(result == 0) {
		// success
		asm("nop");
	}
	else {
		// error
		while(1){

			asm("nop");
		}
	}

	return 1;
}

/************************************************************
*	update
*		param    :     none
*   	return   :     int			error code
*   	history  :     2007/11/1	start
					   2008/06/3	delete error operation
************************************************************/
int update(void) {

	int result;

	// erase 0xB000-0xB7FF
	result = flash_erase((char *)0x8000, 7, 7);

	if(result == FLS_E_SUCCESS) {
				// write data to 0xb000
		result = flash_load((char *)0xB000, 16, updateLineBit);

	}
	return result;
}


